Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ZellenEditor

    java.lang.Object
      ZellenEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ZellenEditor

extends java.lang.Object
implements java.awt.event.ActionListener

Objekt zur Bearbeitung des Inhalts einer Zelle

Field Summary
`protected int` | `farbStatus`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` ActionListener-Methode
`Zelle` | `aktuelleZelle()` liefert Objektreferenz auf die momentan selektierte Zelle
`protected void` | `farbenNormal()` setzt die Farben für den Normalzustand
`protected void` | `farbenSyntaxFehler()` setzt die Farben, wenn ein Syntaxfehler angezeigt werden soll
`protected Zelle` | `getZellTyp(java.lang.String input)` untersucht den Inhalt den angegebenen Strings, erzeugt ein entsprechendes Zellenobjekt und liefert es zurück

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### farbStatus

    protected int farbStatus

Method Detail

### aktuelleZelle

    public Zelle aktuelleZelle()

  liefert Objektreferenz auf die momentan selektierte Zelle

### farbenSyntaxFehler

    protected void farbenSyntaxFehler()

  setzt die Farben, wenn ein Syntaxfehler angezeigt werden soll

### farbenNormal

    protected void farbenNormal()

  setzt die Farben für den Normalzustand

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  ActionListener-Methode

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getZellTyp

    protected Zelle getZellTyp(java.lang.String input)

  untersucht den Inhalt den angegebenen Strings, erzeugt ein entsprechendes Zellenobjekt und liefert es zurück

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD